# eric6.Helpviewer.Network.FileReply

Module implementing a network reply class for directory resources.

### Global Attributes

dirListPage_html

### Classes

FileReply | Class implementing a network reply for directory resources.

### Functions

None

## FileReply

Class implementing a network reply for directory resources.

### Derived from

QNetworkReply

### Class Attributes

None

### Class Methods

None

### Methods

FileReply | Constructor
__cssLinkClass | Private method to generate a link class with an icon.
__loadDirectory | Private slot loading the directory and preparing the listing page.
abort | Public slot to abort the operation.
bytesAvailable | Public method to determined the bytes available for being read.
isSequential | Public method to check for sequential access.
readData | Public method to retrieve data from the reply object.

### Static Methods

None

#### FileReply (Constructor)

FileReply(url, parent=None)

Constructor

url
  requested FTP URL (QUrl)
parent
  reference to the parent object (QObject)

#### FileReply.__cssLinkClass

__cssLinkClass(icon, size=32)

Private method to generate a link class with an icon.

icon
  icon to be included (QIcon)
size
  size of the icon to be generated (integer)

Returns:
  CSS class string (string)

#### FileReply.__loadDirectory

__loadDirectory()

Private slot loading the directory and preparing the listing page.

#### FileReply.abort

abort()

Public slot to abort the operation.

#### FileReply.bytesAvailable

bytesAvailable()

Public method to determined the bytes available for being read.

Returns:
  bytes available (integer)

#### FileReply.isSequential

isSequential()

Public method to check for sequential access.

Returns:
  flag indicating sequential access (boolean)

#### FileReply.readData

readData(maxlen)

Public method to retrieve data from the reply object.

maxlen
  maximum number of bytes to read (integer)

Returns:
  string containing the data (bytes)

Up